View Issue Details

IDCategoryLast Update
0007146bugs2016-11-28 01:18
ReporterelgounAssigned Totimbyr 
Reproducibilityalways 
Status resolvedResolutionfixed 
PlatformLinux x86_64OSDebianOS VersionSid
Product Version5.X git (version in description) 
Fixed in Version5.X git (version in description) 
Summary0007146: In playlist menu "New..." and "New copy..." actions are reversed
DescriptionIn playlist menu "New..." and "New copy..." actions are reversed

TagsNo tags attached.

Activities

elgoun

2016-11-26 23:15

reporter  

fix-7146.patch (481 bytes)
diff --git a/gtk2_ardour/route_time_axis.cc b/gtk2_ardour/route_time_axis.cc
index 24ed6bd..1e19dbb 100644
--- a/gtk2_ardour/route_time_axis.cc
+++ b/gtk2_ardour/route_time_axis.cc
@@ -1243,9 +1243,9 @@ RouteTimeAxisView::use_new_playlist (bool prompt, vector<boost::shared_ptr<Playl
 
 	if (name.length()) {
 		if (copy) {
-			tr->use_new_playlist ();
-		} else {
 			tr->use_copy_playlist ();
+		} else {
+			tr->use_new_playlist ();
 		}
 		tr->playlist()->set_name (name);
 	}
fix-7146.patch (481 bytes)

robsco

2016-11-26 23:21

reporter   ~0019056

I was just about to report this. I can reproduce.

robsco

2016-11-27 17:28

reporter   ~0019059

I just tried the attached patch on 2f30d763edafb1075c9f07f8bedf3af9d3adc13e

The "Copy playlists" does not work as expected. Two empty playlists are created on the new duplicated track when the original track only has one playlist as described here: http://tracker.ardour.org/view.php?id=7141

The "Create new (empty) playlists" performs the same action as above. Closer to the expected behaviour but still two empty playlists.

"Share playlists" works as expected.

elgoun

2016-11-27 18:47

reporter   ~0019060

Last edited: 2016-11-27 18:49

View 2 revisions

We are not talking about the same thing.


The patch fix the reversed behaviour of "New..." and "New copy..." in the playlist menu ==> When you left-click on the "p" button in track header.

There is not duplicated track involved in this bug report.
For 0007141, I'm trying to fix it.

robsco

2016-11-27 19:08

reporter   ~0019061

Ah, my bad, I got confused between the two.

I can confirm that your patch fixes the issues outlined in this report. "New..." and "New copy..." have the expected behaviour with the patch.

timbyr

2016-11-28 01:18

developer   ~0019069

I have committed your patch to master as 198b8f6b which will be in a nightly build >= 5.4.468 so this issue should now be resolved.

Thanks for the patch.

Issue History

Date Modified Username Field Change
2016-11-26 23:13 elgoun New Issue
2016-11-26 23:15 elgoun File Added: fix-7146.patch
2016-11-26 23:21 robsco Note Added: 0019056
2016-11-26 23:21 robsco Status new => confirmed
2016-11-27 17:28 robsco Note Added: 0019059
2016-11-27 18:47 elgoun Note Added: 0019060
2016-11-27 18:49 elgoun Note Edited: 0019060 View Revisions
2016-11-27 19:08 robsco Note Added: 0019061
2016-11-28 01:18 timbyr Note Added: 0019069
2016-11-28 01:18 timbyr Status confirmed => resolved
2016-11-28 01:18 timbyr Fixed in Version => 5.X git (version in description)
2016-11-28 01:18 timbyr Resolution open => fixed
2016-11-28 01:18 timbyr Assigned To => timbyr